package com.steerinfo.dil.feign;

import com.steerinfo.framework.controller.RESTfulResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;
import java.util.Map;

/**
 * @ author    :TXF
 * @ time      :2021/10/8 19:07
 */


@FeignClient(value = "dil-tms-truck-dev",url = "${openfeign.TmsTruckFeign.url}")
public interface TmsTruckFeign {

    @PostMapping("api/v1/truckTms/tmstruckenfactoryresults/enFactoryResultByPDA")
    public RESTfulResult enFactoryResultByPDA(@RequestBody(required = false) Map<String, Object> mapValue);


    //修改装车点
    @PostMapping("api/v1/truckTms/tmstruckloadresults/updateLoadResultList")
    public RESTfulResult updateLoadResultList(@RequestBody(required = false) List<Map<String, Object>> mapList);

}
