package com.steerinfo.dil.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.dil.model.QmsQueueList;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * QmsQueueList服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-14 11:29
 * 类描述
 * 修订历史：
 * 日期：2021-09-14
 * 作者：generator
 * 参考：
 * 描述：QmsQueueList服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IQmsQueueListService{

    //添加汽车排队链表
    int addQueueList(BigDecimal resultId);

    //进厂排队转移(仓库排队转移) 新增一条链表 修改实绩链表Id
    int changeQueue(Map<String, Object> map);

    //排队取消 通过运输订单号进行查询取消 或 实绩Id  修改
    int queueCancel(Map<String, Object> map);

    //排队插队 调度人员通过查询出来的列表 通过实绩ID进行插队
    int queueCutInLine(Map<String, Object> map);

    //排队结束 通过扫描二维码获取运输订单号
    int queueEndByPDA(BigDecimal resultTotalId);

    //链表监控
//    List<Map<String, Object>> listMonitor(Map<String, Object> map);

    //发送数据给门禁系统
//    int sendMessageToGatepost(String orderNumber);

    //仓库排队结束接口 ：扫描第一件物资吊牌时间
    int queueEndWarehouse(Map<String, Object> map);

    //仓库链表监控
//    List<Map<String, Object>> warehouseListMonitor(Map<String, Object> map);

    //查询某一个队列的车辆排队详情
//    List<Map<String, Object>> getListQueueMes(Map<String, Object> map);
}