package com.steerinfo.dil.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.dil.model.QmsQueueGrid;
import com.steerinfo.dil.mapper.QmsQueueGridMapper;
import com.steerinfo.dil.service.IQmsQueueGridService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;
import java.util.Map;

/**
 * QmsQueueGrid服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-14 11:29
 * 类描述
 * 修订历史：
 * 日期：2021-09-14
 * 作者：generator
 * 参考：
 * 描述：QmsQueueGrid服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "qmsQueueGridService")
public class QmsQueueGridServiceImpl implements IQmsQueueGridService {

    @Autowired
    private QmsQueueGridMapper qmsQueueGridMapper;

    /**
     * 新增排队网格实绩ID
     * @param materialId
     * @return
     */
    public BigDecimal addQQR(Integer materialId){
        QmsQueueGrid qmsQueueGrid = new QmsQueueGrid();
        BigDecimal maxId = qmsQueueGridMapper.selectMaxId();
        qmsQueueGrid.setGridId(maxId);
        qmsQueueGrid.setGridType(new BigDecimal(4));
        qmsQueueGrid.setQueueLocationId(new BigDecimal(materialId));
        qmsQueueGrid.setInsertUsername("admin");
        qmsQueueGrid.setInsertTime(new Date());
        qmsQueueGridMapper.insertSelective(qmsQueueGrid);
        return maxId;
    }
}
