package com.steerinfo.dil.model;

import java.util.Date;

public class WebSocketCapacity {

    private int messageType;

    private String sendPerson;

    private String receivePerson;

    private String messageContent;

    private Date createTime;

    public WebSocketCapacity() {
    }

    public WebSocketCapacity(int messageType, String sendPerson, String receivePerson, String messageContent, Date createTime) {
        this.messageType = messageType;
        this.sendPerson = sendPerson;
        this.receivePerson = receivePerson;
        this.messageContent = messageContent;
        this.createTime = createTime;
    }

    public int getMessageType() {
        return messageType;
    }

    public void setMessageType(int messageType) {
        this.messageType = messageType;
    }

    public String getSendPerson() {
        return sendPerson;
    }

    public void setSendPerson(String sendPerson) {
        this.sendPerson = sendPerson;
    }

    public String getReceivePerson() {
        return receivePerson;
    }

    public void setReceivePerson(String receivePerson) {
        this.receivePerson = receivePerson;
    }

    public String getMessageContent() {
        return messageContent;
    }

    public void setMessageContent(String messageContent) {
        this.messageContent = messageContent;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return "WebSocketCapacity{" +
                "messageType='" + messageType + '\'' +
                ", sendPerson='" + sendPerson + '\'' +
                ", receivePerson='" + receivePerson + '\'' +
                ", messageContent='" + messageContent + '\'' +
                ", createTime=" + createTime +
                '}';
    }
}
